Git::Raw::Odb::Object(3pm)

NAME
Git::Raw::Odb::Object - Git object database backend class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Odb::Object represents a git object database object.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

METHODS

  id( )
Retrieve the id of the object, as a string.

  type( )
Get the object type.

  size( )
Get the object size.

  data( )
Get the uncompressed, raw data without the leading header.

LICENSE AND COPYRIGHT
Copyright 2016 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.